hmm_s Struct Reference

## Data Fields

hmm_context_t * | ctx
| Shared context data for this HMM.
int32 | score [HMM_MAX_NSTATE]
| State scores for emitting states.
int32 | history [HMM_MAX_NSTATE]
| History indices for emitting states.
int32 | out_score
| Score for non-emitting exit state.
int32 | out_history
| History index for non-emitting exit state.
uint16 | ssid
| Senone sequence ID (for non-MPX)
uint16 | senid [HMM_MAX_NSTATE]
| Senone IDs (non-MPX) or sequence IDs (MPX)
int32 | bestscore
| Best [emitting] state score in current frame (for pruning).
int16 | tmatid
| Transition matrix ID (see hmm_context_t).
frame_idx_t | frame
| Frame in which this HMM was last active; <0 if inactive.
uint8 | mpx
| Is this HMM multiplex? (hoisted for speed)
uint8 | n_emit_state
| Number of emitting states (hoisted for speed)

## Detailed Description

Definition at line 170 of file hmm.h.

The documentation for this struct was generated from the following file:

- src/libpocketsphinx/hmm.h